﻿html, body 
{
    height: 100%;
}

body, .sat-ui-body
{
    background-color: #f9f9f9;
    -ms-overflow-style: scrollbar;
}

.sat-bs 
{
    font-family: 'Roboto', sans-serif;
    font-weight: 300;
}

.sat-bs .row
{
    --bs-gutter-x: 0;
    margin-left: -15px;
    margin-right: -15px;
}

.sat-bs .sat-ui-form
{
    height: 100%;
}

.sat-bs .select2-result-label 
{
    color: #000;
}

.sat-bs a 
{
    color: #416c42;
}

.sat-bs .nav-item button 
{
    color: #416c42;
}

.sat-bs a[hrefvoid]
{
    cursor: pointer;
}

.sat-bs header.sat-ui-topbar
{
    height: 60px;
    z-index: 1023;
}

.sat-bs header.sat-inline-flex,
.sat-bs header.sat-inline-flex > *,
.sat-bs header.sat-inline-flex > .sat-ui-topbar-right > .nav.navbar-nav > li.dropdown > a.dropdown-toggle,
.sat-bs header.sat-inline-flex > .sat-ui-topbar-right > .nav.navbar-nav > li.dropdown > a.dropdown-toggle > .sat-dropdown-toggle-text-wrapper
{
    display: inline-flex;
}

.sat-bs header > .sat-ui-topbar-center,
.sat-bs header > .sat-ui-topbar-center > .nav.navbar-nav
{
    width: 100%;
}

.sat-bs header > div > .nav.navbar-nav
{
    float: left;
    margin: 0;
}

.sat-bs header > div > .nav.navbar-nav > .navbar-form
{
    box-shadow: none;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > li.dropdown > a.dropdown-toggle > .sat-dropdown-toggle-text-wrapper > span
{
    padding-top: 4px;
    white-space: nowrap;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > li.dropdown > a.dropdown-toggle > .sat-dropdown-toggle-text-wrapper > .caret
{
    margin-top: 15px
}

.sat-bs header > .sat-ui-topbar-left > .sat-ui-topbar-logo
{
    background-image: url('../images/sat-ui-topbar-logo.png');
    background-position: center center;
    background-repeat: no-repeat;
    display: inline-block;
    float: left;
    height: 60px;
    margin: 0px 5px 0px 0px;
    width: 82px;
}

.sat-bs header > .sat-ui-topbar-left > .sat-ui-topbar-logo:first-child
{
    margin-left: 10px;
}

.sat-bs header > .sat-ui-topbar-right > .navbar-nav > li > a,
.sat-bs header > .sat-ui-topbar-right > .navbar-nav > li > a:hover,
.sat-bs header > .sat-ui-topbar-right > .navbar-nav > li > a:focus
{
    background: transparent !important;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > li.dropdown > .dropdown-menu > li > a
{
    color: #666;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > li:not(.dropdown) > a
{
    padding-top: 17px;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > li:not(.dropdown) > a > i.glyphicon
{
    font-size: 18px;
}

.sat-bs header > div > .nav.navbar-nav > .navbar-form 
{
    margin: 0;
    padding: 0;
}

.sat-bs header > .sat-ui-topbar-right .sat-ui-topbar-menu-search-app .dropdown-toggle::after
{
    display: none;
}

.sat-bs .sat-ui-topbar .sat-ui-topbar-search-app-input
{
    padding: 9px 10px 10px;
}

.sat-bs .sat-ui-topbar .sat-ui-topbar-search-app-input > .select2-container.form-control
{
    background-color: #f6f6f6;
    border: none;
}

.sat-bs .sat-ui-topbar-search-app-input > .select2-container.form-control
{
    font-size: 120%;
    height: 43px !important;
}

.sat-bs .sat-ui-topbar-search-app-input > .select2-container.form-control > .select2-choice
{
    background-color: transparent;
}

.sat-bs .sat-ui-topbar .sat-ui-topbar-search-app-input > .select2-container.form-control > .select2-choice > .select2-chosen
{
    color: #777 !important;
    margin: 6px 0 0 6px;
}

.sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown
{
    border-radius: 4px;
    border: 1px solid #ccc;
    margin-top: -43px;
}

.sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-search
{
    display: inline-flex;
    padding: 0;
}

.sat-bs .sat-ui-topbar-search-app-input > .select2-container.form-control > .select2-choice > .select2-chosen > .sat-icon-text
{
    padding-left: 10px;
}

.sat-bs .sat-ui-topbar-search-app-input > .select2-container.form-control > .select2-choice > .select2-chosen > i,
.sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-search i
{
    font-size: 20px;
    top: 4px;
}

.sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-search i
{
    color: #666;
    margin-left: 13px;
    top: 12px;
}

.sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-search input
{
    background: none !important;
    border: none;
    font-size: 120%;
    margin: 0 10px 0 6px;
    min-height: 42px;
    padding: 4px;
}

.sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown.sat-ui-topbar-search-app-input-empty
{
    box-shadow: none !important;
}

.sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown:not(.sat-ui-topbar-search-app-input-empty) .select2-search input
{
    border-bottom: 1px solid #eee;
    padding-top: 6px;
}

.sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-results
{
    margin: 10px 0 4px;
    max-height: 300px;
    padding: 0;
    transition: all .3s ease
}

.sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-results:empty
{
    margin: 0;
}

.sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-results .select2-result-label
{
    padding: 7px;
}

.sat-bs .sat-ui-topbar-search-app-input .form-control.select2-container.select2-dropdown-open
{
    border-radius: 4px !important;
}

.sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-no-results,
.sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-searching
{
    padding: 10px 10px 5px;
}

.sat-bs .sat-ui-topbar-search-app-input label,
.sat-bs .sat-ui-topbar-search-app-input .select2-arrow
{
    display: none !important;
}

.sat-bs header .select2-container .select2-choice
{
    border-color: #DDD;
}

.sat-bs header .dropdown-menu
{
    white-space: normal;
    text-align: left;
    margin: 9px 0 0 0;
    padding: 0;
    border: 1px solid #CCC;
}

.sat-bs header .dropdown-menu:after,
.sat-bs header .dropdown-menu:before 
{
    content: '';
    display: inline-block;
    border: 10px solid transparent;
    border-bottom: 10px solid #CCC;
    border-top: 0;
    position: absolute;
    top: -10px;
    right: 10px;
}

.sat-bs header .dropdown-menu:after 
{
    border-bottom-color: #FFF;
    top: -9px;
}

.sat-bs header .dropdown-menu li
{
    list-style: none;
    border-bottom: 1px solid #EEE;
    color: #666;
}

.sat-bs header .dropdown-menu li:first-child
{
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.sat-bs header .dropdown-menu li:last-child
{
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}

.sat-bs header .dropdown-menu li:not(.sat-stop-propagation):hover
{
    background: #efefef;
}

.sat-bs header .dropdown.sat-ui-topbar-menu-user .dropdown-menu li a
{
    padding: 10px 15px !important;
}

.sat-bs header .dropdown.sat-ui-topbar-menu-user .dropdown-menu li a i 
{
    opacity: 0.6;
    margin-right: 14px;
}

.sat-bs header .sat-ui-environment-name 
{
    padding-top: 16px;
}

.sat-bs header .sat-ui-environment-name-text 
{
    border-radius: 7px;
    font-size: 20px;
    font-weight: 500;
    padding-bottom: 5px;
    padding-top: 4px;
}

.sat-bs header + .sat-ui-environment-info
{
    right: 8px;
    top: 69px;
}

.sat-bs .sat-ui-environment-info 
{
    color: #FFF;
    font-size: 80%;
    font-weight: normal;
    position: fixed;
    right: 10px;
    top: 10px;
    z-index: 99;
}

.sat-bs .sat-ui-environment-info div
{
    float: left;
	padding: 5px 10px;
    text-align: center;
    text-shadow: 1px 1px #aaa;
}

.sat-bs .sat-ui-environment-info div:first-child
{
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;
}

.sat-bs .sat-ui-environment-info div:last-child
{
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
}

.sat-bs .sat-ui-environment-info > .sat-ui-environment-machine-name
{
    background: #aaa;
}

.sat-bs .sat-ui-environment-info > .sat-ui-environment-username
{
    background-color: #bbb;
}

.sat-bs .sat-ui-environment-info > .sat-ui-environment-session-timer
{
    background: #ccc;
}

.sat-bs .sat-ui-environment-info-print
{
    font-size: 50%;
}

@media screen 
{
    .sat-ui-page-wrapper 
    {
        height: 100%;
    }
}

.sat-ui-page-wrapper
{
    margin: 0 auto;
    max-width: 1120px;
    padding: 86px 0 15px 0;
    position: relative;
    transition: all .3s ease;
}

.sat-bs .sat-ui-page-wrapper.sat-ui-page-wrapper-full-width,
.sat-ui-page-wrapper.sat-ui-page-wrapper-full-width
{
    max-width: inherit;
    width: auto;
}

.sat-ui-page-content 
{
    padding: 15px;
    padding-top: 10px;
}

.sat-bs .sat-ui-page-content 
{
    padding-bottom: 0px;
}

.sat-bs .sat-ui-page-content.sat-ui-page-content-responsive
{
    overflow: auto;
}

.sat-widget-content,
.sat-window-content
{
	background-color: #FFF;
	border: 0;
	min-height: 0;
	overflow: auto;
	padding: 20px 20px 0 20px;
}

.sat-window-content
{
	height: 100%;
}

.sat-bs .sat-ui-page-titlebar 
{
    position: relative;
    border-bottom: 1px solid transparent;
}

.sat-bs .sat-ui-page-titlebar .nav-tabs 
{
    border-bottom: none;
    margin-bottom: 0;
}

.sat-bs .sat-ui-page-titlebar ul.nav-tabs li
{
    display: inline-block;
    font-size: 1.5em;
    font-weight: 500;
    padding: 6px 0px 6px 15px;
    margin: 0 10px 0 0;
}

.sat-hidden
{
    left: 0;
    margin: 0;
    max-height: 1px;
    max-width: 1px;
    opacity: 0;
    outline: none;
    overflow: hidden;
    pointer-events: none;
    position: absolute;
    top: 0;
    z-index: -1;
}

.sat-transition
{
    transition: all .3s ease;
}

.sat-bs header .sat-ui-topbar-right .nav > li li a
{
    font-weight: 300;
}

.sat-bs header .sat-ui-topbar-right .nav > li li .bold 
{
    font-weight: 600;
}

.sat-bs header .sat-ui-topbar-right .nav > li > ul.dropdown-menu > li > a,
.sat-bs header .sat-ui-topbar-right .nav > li .sat-ui-topbar-menu-user-info 
{
    padding: 10px 15px;
    color: #4f4747;
}

.sat-bs header #menu-user-header .openable a 
{
    color: #4f4747;
}

.sat-bs header .sat-ui-topbar-right .nav > li > #menu-user-header > li 
{
    white-space: nowrap;
}

.sat-bs .sat-ui-topbar-menu-user-info span
{
    display: block;
}

.sat-bs .sat-ui-topbar-menu-user-info .sat-ui-topbar-menu-user-info-name
{
    font-weight: bold;
}

.sat-bs .sat-ui-topbar-menu-user-info .sat-ui-topbar-menu-user-info-last-login
{
    font-size: 85%;
}

.sat-ui-sidebar-backdrop
{
    opacity: 0.5;
    z-index: 1019;
}

.sat-bs .sat-ui-sidebar > .sat-ui-sidebar-list > li > a > .text
{
    font-weight: 600;
}

.sat-bs .sat-ui-sidebar .sat-ui-topbar-menu-user-info .sat-ui-topbar-menu-user-info-name
{
    display: none;
}

.sat-bs .sat-ui-sidebar .sat-ui-topbar-menu-user-info
{
    padding: 3px 20px 3px 25px;
}

.sat-bs .sat-ui-sidebar .sat-ui-topbar-menu-user-info strong 
{
    display: block;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav .dropdown-menu 
{
    border-radius: 4px !important;
    left: auto;
    right: -1px;
    top: 56px;
}

.sat-bs .sat-ui-sidebar ul > li > .badge
{
    background-color: #D60000;
    font-size: 10px;
    float: right;
    margin: 11px 10px 0 0;
}

.sat-ui-sidebar-collapsed .sat-ui-sidebar ul > li > .badge
{
    min-width: 18px;
    padding: 4px;
}

.sat-bs .sat-ui-sidebar > ul > li > .badge
{
    margin-top: 15px;
}

.sat-bs .sat-ui-sidebar ul > li > .badge:empty 
{
    display: none;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > li > a > i.glyphicon:only-child
{
    font-size: 20px;
}

.sat-bs .navbar-nav 
{
    margin: 0;
}

.sat-bs .navbar-form 
{
    border: none;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-user > a > .glyphicon-lock
{
    font-size: 10px;
    left: 28px;
    top: 30px;
    position: absolute;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav 
{
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
}

.sat-bs aside
{
    outline: none !important;
}

.sat-bs .sat-ui-sidebar 
{
    border-right: 1px solid #ddd;
    bottom: 0;
    display: block;
    float: left;
    height: 100%;
    left: 0;
    overflow: auto;
    top: 60px;
    position: fixed;
    width: 230px;
    z-index: 1020;
}

.sat-bs header .sat-ui-topbar-toggle
{
    background: transparent !important;
    border-color: transparent !important;
    box-shadow: none !important;
    float:left;
    display: block;
    padding: 7px 23px;
    margin-top: 3px;
}

.sat-bs header .sat-ui-topbar-toggle:focus
{
    outline: none;
}

.sat-bs header .sat-ui-topbar-toggle .icon-sidebar {
    font-size: 32px;
    margin-top: 5px;
}

header .sat-ui-topbar-left 
{
    display: flex;
    flex-direction: row;
}

.sat-bs header .sat-ui-topbar-toggle .icon-bar
{
    display: block;
    width: 22px;
    height: 2px;
    border-radius: 4px;
    transition: all .2s ease;
}

.sat-bs header .sat-ui-topbar-toggle .icon-bar + .icon-bar
{
    margin-top: 4px;
}

.sat-bs .sat-ui-sidebar ul 
{
    margin: 0;
    list-style: none;
    padding: 0;
}

.sat-bs .sat-ui-sidebar > .sat-ui-sidebar-list
{
    padding-top: 26px;
}

.sat-bs .sat-ui-sidebar > ul > li 
{
    position: relative;
}

.sat-bs .sat-ui-sidebar > ul > li > a
{
    font-size: 13px;
    padding: 13px 10px;
    text-shadow: 0 1px 1px rgba(0, 0, 0, .05);
}

form:not(.sat-ui-sidebar-collapsed) .sat-ui-sidebar > ul > li > a
{
    padding-left: 28px;
}

.sat-bs .sat-ui-sidebar ul > li > a
{
    display: block;
    white-space: nowrap;
}

.sat-bs .sat-ui-sidebar ul > li > a:focus,
.sat-bs .sat-ui-sidebar ul > li > a:hover 
{
    text-decoration: none;
}

.sat-bs .sat-ui-sidebar li.open > .sat-ui-sidebar-sublist 
{
    display: block;
}

.sat-bs .sat-ui-sidebar ul > li > a > .material-symbols-rounded,
.sat-bs .sat-ui-sidebar ul > li > a > .material-symbols-outlined {
    top: 5px;
    position: relative;
    margin-right: 5px;
}

.sat-bs .sat-ui-sidebar > ul > li .sat-ui-sidebar-sublist li a 
{
    font-size: 12px;
    font-weight: 500;
    padding: 10px 20px 10px 50px;
    margin-top: 6px;
}

.sat-bs .sat-ui-page-titlebar 
{
    margin-top: 0 !important;
}

.sat-ui-sidebar-collapsed .sat-ui-sidebar 
{
    width: 70px
}

.glyphicon.glyphicon- 
{
    display: none;
}

.sat-bs .sat-ui-page-titlebar ul.nav-tabs li.sat-ui-page-help 
{
    margin: 0;
}

.sat-bs .sat-ui-page-titlebar ul.nav-tabs li.sat-ui-page-help > a 
{
    color: #416c42;
}

.sat-bs .sat-ui-page-titlebar ul.nav-tabs li.sat-ui-page-help > a:hover
{
    color: #264529;
}

.sat-bs .sat-ui-page-titlebar ul.nav-tabs li.active 
{
    background-color: #FFF;
    border-color: #CCC;
}

.sat-bs .sat-ui-page-titlebar ul.nav-tabs li a, 
.sat-bs .sat-ui-page-titlebar ul.nav-tabs li a:hover 
{
    padding: 0;
    border: none;
    background: transparent;
    color: #FFF;
    margin-right: 0;
}

.sat-bs .sat-ui-page-titlebar ul.nav-tabs li.active a,
.sat-bs .sat-ui-page-titlebar ul.nav-tabs li button.active 
{
    color: #333 !important;
}

.sat-bs .list-group-item .badge 
{
    background: #6A9B53;
}

.sat-bs .list-group-item a 
{
    display: block;
    text-decoration: none !important;
}

.sat-bs li.list-group-item:hover 
{
    background: #EFEFEF;
}

.sat-bs label 
{
    font-weight: normal !important;
    margin-bottom: 1px;
}

.sat-bs .cell-label
{
    padding-left: 1px;
    padding-right: 0px;
    opacity: 0.6;
}

.sat-bs .sat-align-right
{
    text-align: right !important;
}

.sat-bs .sat-align-center
{
    text-align: center !important;
}

.sat-bs .sat-align-left
{
    text-align: left !important;
}

.sat-bs .sat-align-justify
{
    text-align: justify !important;
}

.sat-bs .sat-messagebox
{
    top: 80px;
    z-index: 99999999;
    width: 60%;
    margin-left: 20%;
    position: fixed;
    background: #FAEEBE;
    border-color: #EFC97F;
    color: #7F6C26;
}

.sat-bs .btn-default 
{
    background-color: #f5f5f5;
}

.sat-bs :not(.input-group-btn) > .btn-default 
{
    font-size: 12px;
    margin-top: 3px;
    margin-left: 8px;
    padding-left: 16px;
    padding-right: 16px;
}

.sat-bs .btn-default .btn-sm
{
    border-color: #ddd !important;
}

.sat-bs .btn-group + .btn-group
{
    margin-left: 5px;
}

.sat-bs .sat-btn-row
{
    margin-bottom: 5px;
    margin-top: 5px;
}

.sat-bs .form-control 
{
    height: 34px;
}

.sat-bs .form-control:focus 
{
    border-color: #6A9B53;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(106, 155, 83, 0.6);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(106, 155, 83, 0.6);
}

.sat-bs .form-control[readonly],
.sat-bs .sat-display-field
{
    background: none;
    box-shadow: none;
    cursor: text;
}

.sat-bs .form-control[readonly]
{
    padding: 0 2px;
}

.sat-bs .sat-display-field,
.sat-bs .form-control[disabled],
.sat-bs .form-control[readonly],
.sat-bs .select2-container.select2-container-disabled
{
    background: #f0f0f0;
    padding: 6px 12px;
    border: none;
    border-radius: 4px;
    box-shadow: none;
}

.sat-bs .form-control[disabled], 
.sat-bs .form-control[readonly], 
.sat-bs fieldset[disabled] .form-control,
.sat-bs .select2-container.select2-container-disabled
{
    cursor: auto;
}

.sat-bs .btn-default.disabled, 
.sat-bs .btn-default[disabled], 
.sat-bs fieldset[disabled] .btn-default, 
.sat-bs .btn-default.disabled:hover, 
.sat-bs .btn-default[disabled]:hover, 
.sat-bs fieldset[disabled] .btn-default:hover, 
.sat-bs .btn-default.disabled:focus, 
.sat-bs .btn-default[disabled]:focus, 
.sat-bs fieldset[disabled] .btn-default:focus, 
.sat-bs .btn-default.disabled:active, 
.sat-bs .btn-default[disabled]:active, 
.sat-bs fieldset[disabled] .btn-default:active, 
.sat-bs .btn-default.disabled.active, 
.sat-bs .btn-default[disabled].active, 
.sat-bs fieldset[disabled] .btn-default.active 
{
    background-color: #f0f0f0;
    border-color: #f0f0f0;
    color: #777;
}

.sat-bs .sat-centered-box
{
    min-width: 350px;
    margin: 0 auto;
    padding: 0 15px;
    box-shadow: 0px 0px 15px #CCC !important;
    position: relative;
    top: 30%;
}

.sat-bs .sat-login
{
    width: 300px;
    text-align: center !important;
}

.sat-bs .sat-login .sat-login-environment
{
    color: #f60;
    display: block;
    font-size: 20px;
    line-height: initial;
    margin: -15px auto 20px;
}

.sat-bs .sat-login .panel-heading
{
    background: #6A9B53;
    color: #fff;
}

.sat-bs .sat-login .sat-login-header
{
    width: 148px;
    height: 74px;
    background: url('../images/sat-logo.png') no-repeat center center;
    padding-left: 70px;
    padding-right: 0;
    margin: 0 auto 20px auto;
}

.sat-bs .sat-login .btn
{
    margin: 10px 0;
    padding-left: 40px;
    padding-right: 40px;
}

.sat-bs .sat-login-forgot-password
{
    display:block;
    margin: 10px auto 20px auto;
    text-align: center;
    font-size: 85%;
}

.sat-bs .sat-login-user > .form-control,
.sat-bs .sat-login-password > .form-control
{
    background-repeat: no-repeat;
    background-position: 8px center;
    padding-left: 30px;
}

.sat-bs .sat-login-user > .form-control
{
    background-image: url('../images/sat-login-user.png') !important;
}

.sat-bs .sat-login-password > .form-control
{
    background-image: url('../images/sat-login-password.png') !important;
}

.sat-ui-page-container 
{
    margin-right: auto;
    margin-left: auto;
    padding-left: 15px;
    padding-right: 15px;
}

.sat-ui-page-container:before,
.sat-ui-page-container:after 
{
    content: " ";
    display: table;
}

.sat-bs .panel-footer .btn.btn-default, 
.sat-bs .modal-footer .btn.btn-default
{
    color: #FFF;
    background-color: #416c42;
    border-color: #375c38;
    border-radius: 18px;
}

.sat-bs .panel-footer .btn.btn-default:hover, 
.sat-bs .modal-footer .btn.btn-default:hover
{
    color: #FFF;
    background-color: #264529;
    border-color: #122114;
}

.sat-bs .nav-tabs > li > a,
.sat-bs .nav-tabs > li > button
{
    margin-right: 4px;
    border: 1px solid #ddd;
    background-color: #f0f0f0;
}

.sat-bs .nav-tabs > li > a:hover,
.sat-bs .nav-tabs > li > button:hover
{
    border-color: #ddd;
    background-color: #ddd;
}

.sat-bs .nav-tabs > li.active > a, 
.sat-bs .nav-tabs > li.active > a:hover, 
.sat-bs .nav-tabs > li.active > a:focus, 
.sat-bs .nav-tabs > li > button.active, 
.sat-bs .nav-tabs > li > button.active:hover, 
.sat-bs .nav-tabs > li > button.active:focus
{
    color: #727272;
    font-weight: bold;
}

.sat-bs .sat-icon-with-text
{
    font-size: 13px;
    margin-right: 4px;
	top: 1px;
}

.sat-bs a.btn.dropdown-toggle > b.caret
{
    margin-left: 7px;
}

.sat-bs a.btn.dropdown-toggle > b.caret:only-child 
{
    margin-left: 0px;
}

.sat-bs .dropdown-menu > li.disabled > a:hover,
.sat-bs .dropdown-menu > li.disabled > a:focus
{                                      
    cursor: default;
}

.sat-bs .dropdown-menu > li.divider 
{
    margin: 3px 0;
}

.sat-bs .sat-overflow-auto 
{
    overflow: auto;
}

.sat-bs .sat-text-nowrap
{
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.sat-bs header > .sat-ui-topbar-right
{
    float: right;
    margin-left: auto;
    margin-right: 5px;
}

#menu-topbar-right 
{
    display: flex;
    flex-direction: row;
}

#menu-topbar-right.active 
{
    border-top: none;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > li 
{
    padding: 5px 0 6px;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > li.sat-ui-topbar-menu-admin
{
    padding-top: 4px;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > li > a
{
    padding-left: 10px;
    padding-right: 10px;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps ul > li:hover
{
    background-color: #fff;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps > .dropdown-menu
{
    width: 341px;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps > .dropdown-menu > li
{
    overflow: hidden;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .tab-pane.active
{
    border: none;
    padding: 15px;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .nav.nav-tabs 
{
    display: flex;
    margin-bottom: 0;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .nav.nav-tabs > li
{
    border-bottom: none;
    margin-top: 1px;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .nav.nav-tabs > li.active
{
    margin-top: -1px;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .nav.nav-tabs > li > button.active
{
    margin-top: -2px;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .nav.nav-tabs > li > a,
.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .nav.nav-tabs > li > button
{
    padding-left: 15.33px;
    margin-right: 0;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .nav.nav-tabs > li:not(.active) > a,
.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .nav.nav-tabs > li > button:not(.active)
{
    background-color: #fff;
    border: inherit;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .nav.nav-tabs > li.active:first-child > a,
.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .nav.nav-tabs > li:first-child > button.active
{
    border-left: 2px solid #fff;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .nav.nav-tabs > li.active:last-child > a,
.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-apps .nav.nav-tabs > li:last-child > button.active
{
    border-right-color: #fff;
    margin-left: 0;
}

.sat-bs header > .sat-ui-topbar-right > .nav.navbar-nav > .sat-ui-topbar-menu-notifications > .sat-ui-topbar-menu-badge
{
    background-color: #D60000;
    left: 20px;
    position: relative;
    top: -50px;
}

.sat-ui-topbar-menu-notifications-dropdown
{
    width: 350px;
}

.sat-ui-topbar-menu-notifications-dropdown > .sat-ui-topbar-menu-notifications-dropdownlist
{
    margin: 5px;
    padding: 0;
}

.sat-ui-topbar-menu-notifications-dropdown > .sat-ui-topbar-menu-notifications-dropdownlist .sat-ui-notificationlist-empty
{
    margin: 20px 0;
    text-align: center;
}

.sat-ui-topbar-menu-notifications-dropdown > .sat-ui-topbar-menu-notifications-dropdown-seeall
{
    border-top: 1px solid #eee;
    padding: 10px;
    text-align: center;
}

.sat-ui-topbar-menu-notifications-dropdown > .sat-ui-topbar-menu-notifications-dropdownlist .sat-ui-notificationlist > .slimScrollDiv
{
    margin-right: -5px;
}

.sat-ui-topbar-menu-notifications-dropdown > .sat-ui-topbar-menu-notifications-dropdownlist .sat-ui-notificationlist .sat-ui-notificationlist-empty,
.sat-ui-topbar-menu-notifications-dropdown > .sat-ui-topbar-menu-notifications-dropdownlist .sat-ui-notificationlist .sat-ui-notificationlist-list
{
    font-size: 95%;
}

.sat-ui-topbar-menu-notifications-dropdown > .sat-ui-topbar-menu-notifications-dropdownlist .sat-ui-notificationlist .sat-ui-notificationlist-list
{
    margin-right: 5px;
}

.sat-ui-notificationlist-list
{
    list-style-type: none;
    padding: 0;
}

.sat-ui-topbar-menu-notifications-dropdown > .sat-ui-topbar-menu-notifications-dropdownlist .sat-ui-notificationlist .sat-ui-notificationlist-list > .sat-ui-notificationlist-item
{
    padding: 10px;
}

.sat-ui-topbar-menu-notifications-dropdown > .sat-ui-topbar-menu-notifications-dropdownlist .sat-ui-notificationlist .sat-ui-notificationlist-list > .sat-ui-notificationlist-item:last-child
{
    border-bottom: none !important;
}

.sat-ui-notificationslist-container .sat-ui-notificationlist-item
{
    background-color: #fff;
    border: 1px solid #ddd;
    box-shadow: 0px 3px 6px -3px #888;
    padding: 8px 10px;
}

.sat-ui-notificationlist-item
{
    position: relative;
}

.sat-ui-notificationlist-item.highlighted
{
    box-shadow: 0 0 10px #D60000;
}

.sat-ui-notificationlist-item-header
{
    display: flex;
    font-weight: 500;
}

.sat-ui-notificationlist-item-header > a.close
{
    margin: -1px -1px 0 7px;
}

.sat-ui-notificationlist-item-header-confirmed
{
    color: #008000;
    margin-right: 6px;
}

.sat-ui-notificationlist-item-header-subject
{
    width: 100%;
}
    
.sat-ui-notificationlist-item-header-date
{
    margin-left: 5px;
    white-space: nowrap;
}

.sat-ui-notificationlist-item-header > .tag
{
    border-radius: 3px;
    font-size: 11px;
    font-weight: 300;
    line-height: 20px;
    padding: 0 5px;
    text-align: center;
}

.sat-ui-notificationlist-item-header > .tag + .tag
{
    margin-left: 2px;
}

.sat-ui-notificationlist-item-header > .tag.info
{
    background-color: #D9EDF7;
    color: #3A87AD;
}

.sat-ui-notificationlist-item-header > .tag.warning
{
    background-color: #FCF8E3;
    color: #C09853;
}

.sat-ui-notificationlist-item-header > .tag.sat-ui-notificationlist-item-header-new
{
    background-color: #D60000;
    color: #fff;
    font-weight: bold;
}

.sat-ui-notificationlist-item-message
{
    overflow: hidden;
    text-align: justify;
}

.sat-ui-notificationslist-container .sat-ui-notificationlist-item-message
{
    margin-top: 8px;
}

.sat-ui-notificationlist-item-expand-shadow
{
    bottom: 0;
    box-shadow: #fff 0px -58px 25px -30px inset;
    height: 28px;
    left: 0;
    position: absolute;
    width: 100%;
}

.sat-ui-notificationlist-item-expand-action
{
    bottom: 0;
    left: 0;
    position: absolute;
    text-align: center;
    width: 100%;
}

.sat-ui-notificationlist-item-expand-action > a,
.sat-ui-notificationlist-item-expand-action > a:focus
{
    color: #777;
}

.sat-ui-notificationlist-item-expand-action > a:hover
{
    color: #000;
}

.sat-ui-notificationslist-container .sat-ui-notificationlist-list .sat-ui-notificationlist-item:not(.collapsed) .sat-ui-notificationlist-item-expand
{
    height: 8px;
}

.sat-ui-notificationlist-item > .sat-ui-notificationlist-item-message > .sat-ui-notificationlist-item-message-readtrigger
{
    bottom: 0;
    height: 1px;
    position: absolute;
    width: 1px;
}

.sat-ui-notificationlist-item.overflowing > .sat-ui-notificationlist-item-message > .sat-ui-notificationlist-item-message-readtrigger
{
    bottom: 20px;
}

.sat-error
{
	color: #D94A48 !important;
}

.sat-glow
{
	border: 1px solid #f60;
	-webkit-box-shadow: 0 0 5px #f60;
	   -moz-box-shadow: 0 0 5px #f60;
	        box-shadow: 0 0 5px #f60;
    -webkit-transition: border 0.1s linear, box-shadow 0.1s linear;
	   -moz-transition: border 0.1s linear, box-shadow 0.1s linear;
		    transition: border 0.1s linear, box-shadow 0.1s linear;
}

.sat-ui-page-footer
{
	align-items: center;
	display: flex;
	justify-content: center;
	margin-top: 10px;
	min-height: 48px;
	position: relative;
	text-align: center;
}

.sat-ui-page-footer .sat-ui-page-footer-logo-gov
{
	align-self: center;
	background: transparent url('../images/sat-ui-footer-logo-gov.png') no-repeat;
	background-size: contain;
	display: inline-block;
	height: 40px;
	opacity: 0.5;
	min-width: 106px;
	width: 106px;
}

.sat-ui-page-footer .sat-ui-page-footer-copyrights
{
	align-self: center;
	color: #777;
	font-size: 12px;
	font-weight: 400;
	line-height: 16px;
	padding-left: 20px;
	text-align: left;
	vertical-align: middle;
}

.sat-ui-page-footer .sat-ui-page-footer-copyrights p
{
	margin: 0;
}

.sat-ui-page-footer .sat-ui-page-footer-copyrights > *
{
	padding-left: 20px;
}

.sat-ui-page-footer .sat-ui-page-footer-copyrights:before
{
	background-color: #ccc;
	content: "";
	display: block;
	height: 100%;
	position: absolute;
	top: 0;
	width: 1px;
}

.input-group.btn-bottom
{
	width: 100%;
}

.input-group.btn-bottom > .form-control,
.input-group.btn-bottom > .input-group-btn
{
	display: block;
}

.input-group.btn-bottom > .form-control
{
	border-radius: 4px 4px 0px 0px !important;
}

.input-group.btn-bottom > .input-group-btn
{
    height: 28px;
	width: 100%;
}

.input-group.btn-bottom > .input-group-btn > a
{
    border-radius: 0px 0px 4px 4px !important;
    font-size: 12px;
    height: 100%;
	margin: 0 !important;
    margin-top: -1px !important;
    padding: 4px 0px 0px 0px;
	width: 100%;
}

.sat-form-control-description
{
    text-align: center;
	font-size: 12px;
    font-weight: 400;
    margin: 4px 0 0 0;
    color: #a1a1a1;
}

.sat-loading
{
	cursor: wait;
}

.sat-loading * 
{
	pointer-events: none;
}

@media print
{
    .sat-hideonprint, .sat-hideonprint *,
    .sat-ui-environment-info,
    .sat-ui-page-titlebar,
    .sat-ui-sidebar,
    .sat-ui-topbar
    {
        display: none !important;
    }

    .sat-showonprint, .sat-showonprint *
    {
        display: initial !important;
    }

    .sat-ui-page-content,
    .sat-ui-page-wrapper
    {
        padding: 0px !important;
    }
}

@media screen
{
    .sat-hideonscreen
    {
        display: none !important;
    }
}

@media (max-height: 370px)
{
    .sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-results
    {
        max-height: 280px;
    }
}

@media (max-height: 350px)
{
    .sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-results
    {
        max-height: 260px;
    }
}

@media (max-height: 330px)
{
    .sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-results
    {
        max-height: 240px;
    }
}

@media (max-height: 310px)
{
    .sat-bs .select2-drop.sat-ui-topbar-search-app-input-dropdown .select2-results
    {
        max-height: 220px;
    }
}

@media (max-width: 991px)
{
    .sat-ui-page-wrapper-full-width
    {
        margin-left: 10px;
        margin-right: 10px;
    }
}

@media (max-width: 767px) 
{
    .sat-ui-sidebar-collapsed .sat-ui-sidebar 
    {
        margin-left: -80px;
    }

    .sat-bs .sat-ui-page-wrapper,
    .sat-ui-sidebar-collapsed .sat-ui-page-wrapper
    {
        margin-left: 0px;
        margin-right: 0px;
    }

    .sat-bs .container
    {
        padding-left: 0px;
        padding-right: 0px;
    }

    .sat-ui-main-content
    {
        margin-left: 0px;
    }

    .sat-bs header > .sat-ui-topbar-right > .navbar-nav .open .dropdown-menu
    {
        background-color: #fff;
        border: 1px solid #CCC;
        box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
        position: absolute; 
    }

    .sat-ui-page-footer
    {
        display: block;
    }

    .sat-ui-page-footer .sat-ui-page-footer-logo-gov
    {
        height: 30px;
        margin-right: 0;
        min-width: 80px;
        width: 80px;
    }

    .sat-ui-page-footer .sat-ui-page-footer-copyrights
    {
        border-left: 0;
        margin-top: 5px;
        padding-left: 0;
        text-align: center;
    }

    .sat-ui-page-footer:before
    {
        height: 30px;
        width: 135px;
    }
}

@media (max-width: 649px)
{
    .sat-bs header > .sat-ui-topbar-center .sat-ui-topbar-search-app-input:not(.open)
    {
        display: none;
    }
    
    .sat-bs .sat-ui-environment-info div
    {
        font-size: 75%;
        padding: 3px 6px;
    }
}

@media (max-width: 499px)
{
    .sat-bs .sat-ui-environment-info div
    {
        font-size: 70%;
        padding: 2px 6px;
    }
}

@media (max-width: 409px)
{
    .sat-bs header > .sat-ui-topbar-left > .sat-ui-topbar-toggle
    {
        padding-left: 15px;
        padding-right: 15px;
    }

    .sat-bs header > .sat-ui-topbar-left > .sat-ui-topbar-logo
    {
        background-size: 60px;
        width: 62px;
    }

    .sat-bs header .sat-ui-environment-name
    {
        padding-top: 20px;
    }

    .sat-bs header .sat-ui-environment-name-text
    {
        font-size: 12px;
    }
}

@media (max-width: 375px) 
{
    .sat-ui-window-expiring > .modal-dialog 
    {
        width: 100% !important;
    }
}

@media (max-width: 310px) 
{
    .sat-bs header + .sat-ui-environment-info:not(.pull-right)
    {
        width: 100%;
    }

    .sat-bs header + .sat-ui-environment-info:not(.pull-right) .sat-ui-environment-machine-name
    {
	    border-bottom-left-radius: 0px !important;
        width: 30%;
    }

    .sat-bs header + .sat-ui-environment-info:not(.pull-right) .sat-ui-environment-session-timer 
    {
        width: 70%;
    }
}

@media (min-width: 650px)
{
    .sat-bs header > .sat-ui-topbar-right .sat-ui-topbar-menu-search-app
    {
        display: none !important;
    }
}

@media (min-width: 768px) 
{
    .sat-bs header .navbar-form > .form-group
    {
        display: block;
    }

    .sat-bs header .sat-ui-topbar-menu-user .dropdown-toggle > i.glyphicon
    {
        font-size: initial;
        margin: 0px;
    }

    .sat-ui-page-container
    {
        width: 750px;
    }

    .sat-ui-sidebar-open header > .sat-ui-topbar-left > .sat-ui-topbar-logo:last-child
    {
        margin-right: 99px;
    }

    .sat-bs .navbar-form .form-group.sat-ui-topbar-search-app-input
    {
        display: block;
    }

    .sat-ui-sidebar-open .sat-ui-main-content 
    {
        margin-left: 230px;
    }

    .sat-ui-sidebar-collapsed .sat-ui-main-content 
    {
        margin-left: 70px;
    }
    
    .sat-ui-sidebar-collapsed .sat-ui-sidebar ul > li > a > .glyphicon 
    {
        margin-right: 0
    }

    .sat-ui-sidebar-collapsed .sat-ui-sidebar .sat-ui-sidebar-sublist
    {
        display: none !important;
    }

    .sat-ui-sidebar-collapsed .sat-ui-sidebar > ul > li > .badge 
    {
        position: absolute;
        right: -5px;
        top: -15px;
    }

    .sat-ui-sidebar-collapsed .sat-ui-sidebar > ul > li > a
    {
        padding-bottom: 11px;
        padding-top: 11px;
        text-align: center;
    }

    .sat-ui-sidebar-collapsed .sat-ui-sidebar > ul > li > a > i
    {
        font-size: 18px;
    }

    .sat-ui-sidebar-collapsed .sat-ui-sidebar > ul > li > a > .text
    {
        display: none;
    }

    .sat-ui-sidebar-backdrop
    {
        display: none !important;
    }
}

@media (min-width: 992px) 
{
    .sat-bs header .sat-ui-topbar-right .nav > li 
    {
        display: initial;
    }

    .sat-ui-page-container
    {
        width: 970px;
    }
}

@media (min-width: 1200px)
{
    .sat-ui-page-container
    {
        width: 1170px;
    }
}
